Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(223)

Unified Diff: runtime/bin/vmservice/client/run.sh

Issue 335463008: Allow Observatory to run as a hosted web service (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « runtime/bin/vmservice/client/pubspec.yaml ('k') | runtime/bin/vmservice/client/web/main.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: runtime/bin/vmservice/client/run.sh
diff --git a/runtime/bin/vmservice/client/run.sh b/runtime/bin/vmservice/client/run.sh
new file mode 100755
index 0000000000000000000000000000000000000000..35fecbb43f328b9fe48919374961b4a363f5980c
--- /dev/null
+++ b/runtime/bin/vmservice/client/run.sh
@@ -0,0 +1,25 @@
+#!/bin/sh -e
+
+if [ ! -d "web" ]; then
+ echo "Error: you must run this script from the client directory."
+ exit
+fi
+
+PUB_PATH=pub
+PUB_ARGS="serve --hostname 127.0.0.1 --port 9191"
+DART_PATH=dart
+DART_ARGS="bin/server.dart --host 127.0.0.1 --port 9090"
+DART_ARGS="$DART_ARGS --pub-host 127.0.0.1 --pub-port 9191"
+
+# Kill any child processes on exit.
+trap 'kill $(jobs -pr)' SIGINT SIGTERM EXIT
+
+echo "This script assumes that both *pub* and *dart* are in your PATH."
+echo "Launching Observatory server."
+echo "Launching pub."
+echo ""
+echo ""
+echo ""
+$DART_PATH $DART_ARGS &
+$PUB_PATH $PUB_ARGS
+
« no previous file with comments | « runtime/bin/vmservice/client/pubspec.yaml ('k') | runtime/bin/vmservice/client/web/main.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698